Bug 621965 - CVE-2010-2809 uzbl: malicious code execution via unsanitized @SELECTED_URI [fedora-all]
CVE-2010-2809 uzbl: malicious code execution via unsanitized @SELECTED_URI [f...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: uzbl (Show other bugs)
13
All Linux
high Severity high
: ---
: ---
Assigned To: Ben Boeckel
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2010-2809
  Show dependency treegraph
 
Reported: 2010-08-06 12:09 EDT by Vincent Danen
Modified: 2010-08-23 21:59 EDT (History)
2 users (show)

See Also:
Fixed In Version: uzbl-0-0.16.20100626gitafc0f873e.fc14
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-21 00:28:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-08-06 12:09:56 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=621964

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Ben Boeckel 2010-08-06 14:40:51 EDT
I will update this when I get home if not already done by then.
Comment 2 Fedora Update System 2010-08-06 19:06:08 EDT
uzbl-0-0.16.20100626gitafc0f873e.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/uzbl-0-0.16.20100626gitafc0f873e.fc13
Comment 3 Fedora Update System 2010-08-06 19:06:13 EDT
uzbl-0-0.16.20100626gitafc0f873e.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/uzbl-0-0.16.20100626gitafc0f873e.fc12
Comment 4 Fedora Update System 2010-08-06 19:06:17 EDT
uzbl-0-0.16.20100626gitafc0f873e.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/uzbl-0-0.16.20100626gitafc0f873e.fc14
Comment 5 Ben Boeckel 2010-08-06 19:07:43 EDT
Updates filed.

@Vincent: Should I announce this on the ML so that uzbl users can update their configs (usually copies of the system one)? I'm unfamiliar with security bug processes and when they become public.
Comment 6 Fedora Update System 2010-08-07 19:24:50 EDT
uzbl-0-0.16.20100626gitafc0f873e.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update uzbl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/uzbl-0-0.16.20100626gitafc0f873e.fc13
Comment 7 Fedora Update System 2010-08-07 19:28:04 EDT
uzbl-0-0.16.20100626gitafc0f873e.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update uzbl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/uzbl-0-0.16.20100626gitafc0f873e.fc12
Comment 8 Vincent Danen 2010-08-09 12:33:05 EDT
(In reply to comment #5)
> Updates filed.
> 
> @Vincent: Should I announce this on the ML so that uzbl users can update their
> configs (usually copies of the system one)? I'm unfamiliar with security bug
> processes and when they become public.    

This should be ok.  You made a note of it in the update, so when it hits the mailing list and is released, that information should be in the mailing list email as well.  Once it goes through testing, it should be automatically announced, so you shouldn't have to do anything more than that.

Thanks!
Comment 9 Vincent Danen 2010-08-09 12:37:42 EDT
I don't seem to be able to do it, but is there a way you can edit the text and/or links in these updates to point to the top-level bug and note the CVE name that was just assigned (CVE-2010-2809)?  If you could do that, that would be fantastic (if not, don't worry about it... I seem to recall it being possible to do, but I don't see a way of being able to do it myself).
Comment 10 Ben Boeckel 2010-08-09 14:09:59 EDT
Edited for F12, F13, and F14.
Comment 11 Fedora Update System 2010-08-09 21:32:09 EDT
uzbl-0-0.16.20100626gitafc0f873e.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update uzbl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/uzbl-0-0.16.20100626gitafc0f873e.fc14
Comment 12 Fedora Update System 2010-08-10 17:31:59 EDT
uzbl-0-0.16.20100626gitafc0f873e.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update uzbl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/uzbl-0-0.16.20100626gitafc0f873e.fc12
Comment 13 Fedora Update System 2010-08-10 17:38:24 EDT
uzbl-0-0.16.20100626gitafc0f873e.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update uzbl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/uzbl-0-0.16.20100626gitafc0f873e.fc13
Comment 14 Fedora Update System 2010-08-21 00:28:45 EDT
uzbl-0-0.16.20100626gitafc0f873e.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-08-21 00:30:14 EDT
uzbl-0-0.16.20100626gitafc0f873e.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2010-08-23 21:59:50 EDT
uzbl-0-0.16.20100626gitafc0f873e.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.